Package org.apache.activemq.artemis.jms.client

## Class ActiveMQTemporaryQueue

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination
    - - org.apache.activemq.artemis.jms.client.ActiveMQQueue
      - - org.apache.activemq.artemis.jms.client.ActiveMQTemporaryQueue

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.jms.Destination`, `javax.jms.Queue`, `javax.jms.TemporaryQueue`, `javax.naming.Referenceable`

      public class ActiveMQTemporaryQueue
      extends ActiveMQQueue
      implements javax.jms.TemporaryQueue

  ActiveMQ Artemis implementation of a JMS TemporaryQueue.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `ActiveMQDestination.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `QUEUE_QUALIFIED_PREFIX, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_TOPIC_QUALIFED_PREFIX, TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQTemporaryQueue()` |
    `ActiveMQTemporaryQueue​(java.lang.String address, ActiveMQSession session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQQueue

      `getQueueName`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `buildFromProperties, createDestination, createDestination, createQueue, createQueue, createQueue, createQueueAddressFromName, createQueueNameForSharedSubscription, createQueueNameForSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, fromPrefixed1XName, fromPrefixedName, fromPrefixedName, getAddress, getName, getQueueAttributes, getQueueConfiguration, getSimpleAddress, getType, isCreated, isQueue, isTemporary, populateProperties, setAddress, setCreated, setSimpleAddress`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Queue

      `getQueueName`

    - ### Methods inherited from interface javax.jms.TemporaryQueue

      `delete`

- - ### Constructor Detail

    - #### ActiveMQTemporaryQueue

          public ActiveMQTemporaryQueue()

    - #### ActiveMQTemporaryQueue

          public ActiveMQTemporaryQueue​(java.lang.String address,
                                        ActiveMQSession session)

      Parameters:
        `address` -
        `session` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `javax.jms.Queue`
      Overrides:
        `toString` in class `ActiveMQQueue`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ActiveMQQueue`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ActiveMQQueue`